#	Programmer:	Daniel Pozmanter
#	E-mail:		drpython@bluebottle.com
#	Note:		You must reply to the verification e-mail to get through.
#
#	Copyright 2003-2005 Daniel Pozmanter
#
#	Distributed under the terms of the GPL (GNU Public License)
#
#    DrPython is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
#GetKey Dialog

import wx, wx.html
import sys, string

class drAboutDialog(wx.Dialog):

	def __init__(self, parent):
		wx.Dialog.__init__(self, parent, -1, ("About DrPython"), wx.Point(50, 50), wx.Size(500, 400), wx.DEFAULT_DIALOG_STYLE | wx.MAXIMIZE_BOX | wx.THICK_FRAME | wx.RESIZE_BORDER)
		
		self.parent = parent
							
		self.theSizer = wx.BoxSizer(wx.VERTICAL)

		self.SetBackgroundColour(wx.Colour(135 ,202, 248))
		
		self.htmlBox = wx.html.HtmlWindow(self, -1, wx.Point(0, 0), wx.Size(500, 350))

		self.version = string.join(map(lambda x: str(x), sys.version_info[:4]), '.')
				
		self.wxplatform = string.join(wx.PlatformInfo[1:], ', ')

		self.html = '''<html><head></head>
<body alink="#000099" vlink="#990099" link="#000099" fgcolor="#000000" bgcolor="#87caf8"><center>
<img src="%s" align="middle" border="0">&nbsp;&nbsp;<b>DrPython</b><br>
<br>
By Daniel Pozmanter<br>
<br>
Version: 3.9.1<br>
<br>
Copyright 2003-2005
<br>
Released under the GNU General Public License</b><br>
(See the documentation for details.)<br>
<br>
wxPython: %s<br>
wxPython Platform: %s<br>
<br>
Python: %s<br>
Python Platform: %s
</center></body></html>''' % (parent.programdirectory + '/documentation/drpython.png', wx.VERSION_STRING, self.wxplatform, self.version, sys.platform)
		
		self.htmlBox.SetPage(self.html)
		
		self.btnCredits = wx.Button(self, 102, '     Credits     ')			
		self.btnClose = wx.Button(self, 101, "&Close")
		
		self.btnCredits.SetBackgroundColour(wx.Colour(255, 165, 93))
		self.btnClose.SetBackgroundColour(wx.Colour(255, 165, 93))
		
		self.theSizer.Add(self.htmlBox, 1, wx.EXPAND | wx.ALIGN_CENTER)
		self.theSizer.Add(self.btnCredits, 0, wx.SHAPED | wx.ALIGN_CENTER)
		self.theSizer.Add(wx.StaticText(self, -1, '    '), 0, wx.SHAPED | wx.ALIGN_CENTER)
		self.theSizer.Add(self.btnClose, 0, wx.SHAPED | wx.ALIGN_CENTER)
		self.theSizer.Add(wx.StaticText(self, -1, '    '), 0, wx.SHAPED | wx.ALIGN_CENTER)

		self.SetAutoLayout(True)
		self.SetSizer(self.theSizer)
				
		self.Bind(wx.EVT_BUTTON, self.OnbtnClose, id=101)
		self.Bind(wx.EVT_BUTTON, self.OnbtnCredits, id=102)
		
	def OnbtnClose(self, event):
		self.EndModal(0)
		
	def OnbtnCredits(self, event):
		self.parent.ViewURLInBrowser(self.parent.programdirectory + '/documentation/credits.html')
		
def Show(parent):
	d = drAboutDialog(parent)
	d.ShowModal()
	d.Destroy()